# Class QuorumPeer.AddressTuple

java.lang.Object
org.apache.zookeeper.server.quorum.QuorumPeer.AddressTuple

Enclosing class:
  `QuorumPeer`

public static final class QuorumPeer.AddressTuple extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`final InetSocketAddress`
`clientAddr`
`final MultipleAddresses`
`electionAddr`
`final MultipleAddresses`
`quorumAddr`

## Constructor Summary

Constructors
Constructor
Description
`AddressTuple(MultipleAddresses quorumAddr, MultipleAddresses electionAddr, InetSocketAddress clientAddr)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### quorumAddr

public final MultipleAddresses quorumAddr

### electionAddr

public final MultipleAddresses electionAddr

### clientAddr

public final InetSocketAddress clientAddr

## Constructor Details

### AddressTuple

public AddressTuple(MultipleAddresses quorumAddr, MultipleAddresses electionAddr, InetSocketAddress clientAddr)